using e_suite.Database.Core;

namespace e_suite.API.Common;

public class PatchFactory : IPatchFactory
{
    private readonly IEsuiteDatabaseDbContext _dbContext;
    public PatchFactory(IEsuiteDatabaseDbContext dbContext)
    {
        _dbContext = dbContext;
    }

    public IPatch<T> Create<T>(T value)
    {
        return new Patch<T>(value, _dbContext);
    }
}